﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Resource.Models.DatabaseModel
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class BangjasaEntities : DbContext
    {
        public BangjasaEntities()
            : base("name=BangjasaEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Kabupaten> Kabupatens { get; set; }
        public virtual DbSet<KasusKecelakaan> KasusKecelakaans { get; set; }
        public virtual DbSet<KondisiKorban> KondisiKorbans { get; set; }
        public virtual DbSet<Kota> Kotas { get; set; }
        public virtual DbSet<Provinsi> Provinsis { get; set; }
        public virtual DbSet<Faske> Faskes { get; set; }
        public virtual DbSet<HubunganPelapor> HubunganPelapors { get; set; }
        public virtual DbSet<PengajuanKecelakaan> PengajuanKecelakaans { get; set; }
        public virtual DbSet<Customer> Customers { get; set; }
        public virtual DbSet<Pembayaran> Pembayarans { get; set; }
    }
}
